%global realname riak_pb
%global upstream basho
%global debug_package %{nil}
%global git_tag b895297
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.2.0
Release:	1%{?dist}
Summary:	Riak Protocol Buffers Messages
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_pb
# wget --content-disposition https://github.com/basho/riak_pb/tarball/1.2.0
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRequires:	erlang-protobuffs >= 0.7.0
BuildRequires:	erlang-rebar
# Error:erlang(erlang:atom_to_binary/2) in R12B and below
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-protobuffs%{?_isa} >= 0.7.0
Requires:	erlang-stdlib%{?_isa}


%description
The message definitions for the Protocol Buffers-based interface to Riak and
various Erlang-specific utility modules for the message types.


%prep
%setup -q -n %{upstream}-%{realname}-a8ad881
sed -i -e "/{protobuffs/d" rebar.config


%build
rebar compile -v


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include


%check
rebar eunit -v


%files
%doc README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl


%changelog
* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Initial build
